APIUsers
Fetch a user
Authorization
ApiKey AuthorizationBearer <token>
Paste your BlendFi API key. Sandbox keys start with sk_test_. The Bearer prefix is added automatically.
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.sandbox.blendfi.com.br/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"external_id": "string",
"name": "string",
"email": "string",
"date_of_birth": "string",
"user_type": "individual",
"document_type": "cpf",
"document_masked": "string",
"risk_profile": "conservative",
"kyc_status": "not_started",
"kyc_approved_at": "2019-08-24T14:15:22Z",
"kyc_expires_at": "2019-08-24T14:15:22Z",
"custody_status": "not_enrolled",
"custody_status_updated_at": "2019-08-24T14:15:22Z",
"metadata": {
"property1": null,
"property2": null
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"code": "validation_error",
"message": "Request validation failed.",
"request_id": "01KPR9F6MM8G147177J7ZQPJHG",
"details": {
"issues": [
{
"path": "source_amount",
"message": "Required"
}
]
}
}{
"code": "authentication_required",
"message": "No valid credentials provided.",
"request_id": "01KPR9F6MM8G147177J7ZQPJHG"
}{
"code": "missing_capability",
"message": "Your API key does not have the required capability for this endpoint.",
"request_id": "01KPR9F6MM8G147177J7ZQPJHG"
}{
"code": "user_not_found",
"message": "User not found.",
"request_id": "01KPR9F6MM8G147177J7ZQPJHG"
}{
"code": "rate_limit_exceeded",
"message": "Too many requests. Try again after the retry_after_seconds window.",
"request_id": "01KPR9F6MM8G147177J7ZQPJHG",
"details": {
"retry_after_seconds": 60
}
}{
"code": "internal_error",
"message": "Internal server error.",
"request_id": "01KPR9F6MM8G147177J7ZQPJHG"
}